import { ColumnState } from '@ag-grid-community/core';
import { KVStorage, Session } from '@genesislcap/foundation-comms';
import { StatePersistence } from './state-persistence';
/**
 * Implementation for the KV Storage State Persistence interface.
 * @public
 */
export declare class KVStorageStatePersistence implements StatePersistence {
    kvStorage: KVStorage;
    session: Session;
    getColumnState(persistColumnStateKey: string): Promise<ColumnState[]>;
    saveColumnState(persistColumnStateKey: string, columnState: ColumnState[]): Promise<void>;
    private migrateLocalStorageToKVStorage;
}
//# sourceMappingURL=kv-state.d.ts.map